rtl2832-tuner_r820t.h File Reference
`#include "rtl2832.h"`
Include dependency graph for rtl2832-tuner_r820t.h:

Go to the source code of this file.

## Classes

struct | _R828_Set_Info
struct | _R828_RF_Gain_Info
struct | _R828_I2C_LEN_TYPE
struct | _R828_I2C_TYPE
struct | _R828_SectType
struct | _Sys_Info_Type
struct | _Freq_Info_Type
struct | _SysFreq_Info_Type
class | RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t

## Namespaces

namespace | RTL2832_NAMESPACE
namespace | RTL2832_NAMESPACE::TUNERS_NAMESPACE

## Macros

#define | _UINT_X_ 1
#define | TRUE 1
#define | FALSE 0

## Typedefs

typedef unsigned char | UINT8
typedef unsigned short | UINT16
typedef unsigned int | UINT32
typedef enum _R828_ErrCode | R828_ErrCode
typedef enum _R828_Standard_Type | R828_Standard_Type
typedef enum _R828_SetFreq_Type | R828_SetFreq_Type
typedef enum _R828_LoopThrough_Type | R828_LoopThrough_Type
typedef enum _R828_InputMode_Type | R828_InputMode_Type
typedef enum _R828_IfAgc_Type | R828_IfAgc_Type
typedef enum _R828_GPIO_Type | R828_GPIO_Type
typedef struct _R828_Set_Info | R828_Set_Info
typedef struct _R828_RF_Gain_Info | R828_RF_Gain_Info
typedef enum _R828_RF_Gain_TYPE | R828_RF_Gain_TYPE
typedef struct _R828_I2C_LEN_TYPE | R828_I2C_LEN_TYPE
typedef struct _R828_I2C_TYPE | R828_I2C_TYPE
typedef struct _R828_SectType | R828_SectType
typedef enum _BW_Type | BW_Type
typedef struct _Sys_Info_Type | Sys_Info_Type
typedef struct _Freq_Info_Type | Freq_Info_Type
typedef struct _SysFreq_Info_Type | SysFreq_Info_Type

## Enumerations

enum | _R828_ErrCode { RT_Success , RT_Fail }
enum | _R828_Standard_Type { NTSC_MN = 0 , PAL_I , PAL_DK , PAL_B_7M , PAL_BGH_8M , SECAM_L , SECAM_L1_INV , SECAM_L1 , ATV_SIZE , DVB_T_6M = ATV_SIZE , DVB_T_7M , DVB_T_7M_2 , DVB_T_8M , DVB_T2_6M , DVB_T2_7M , DVB_T2_7M_2 , DVB_T2_8M , DVB_T2_1_7M , DVB_T2_10M , DVB_C_8M , DVB_C_6M , ISDB_T , DTMB , R828_ATSC , FM , STD_SIZE }
enum | _R828_SetFreq_Type { FAST_MODE = TRUE , NORMAL_MODE = FALSE }
enum | _R828_LoopThrough_Type { LOOP_THROUGH = TRUE , SIGLE_IN = FALSE }
enum | _R828_InputMode_Type { AIR_IN = 0 , CABLE_IN_1 , CABLE_IN_2 }
enum | _R828_IfAgc_Type { IF_AGC1 = 0 , IF_AGC2 }
enum | _R828_GPIO_Type { HI_SIG = TRUE , LO_SIG = FALSE }
enum | _R828_RF_Gain_TYPE { RF_AUTO = 0 , RF_MANUAL }
enum | _BW_Type { BW_6M = 0 , BW_7M , BW_8M , BW_1_7M , BW_10M , BW_200K }

## Functions

R828_ErrCode | R828_Init (RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t *pTuner)
R828_ErrCode | R828_Standby (RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t *pTuner, R828_LoopThrough_Type R828_LoopSwitch)
R828_ErrCode | R828_GPIO (RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t *pTuner, R828_GPIO_Type R828_GPIO_Conrl)
R828_ErrCode | R828_SetStandard (RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t *pTuner, R828_Standard_Type RT_Standard)
R828_ErrCode | R828_SetFrequency (RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t *pTuner, R828_Set_Info R828_INFO, R828_SetFreq_Type R828_SetFreqMode)
R828_ErrCode | R828_GetRfGain (RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t *pTuner, R828_RF_Gain_Info *pR828_rf_gain)
R828_ErrCode | R828_SetRfGain (RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t *pTuner, int gain)
R828_ErrCode | R828_RfGainMode (RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t *pTuner, int manual)
int | r820t_SetRfFreqHz (RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t *pTuner, unsigned long RfFreqHz)
int | r820t_SetStandardMode (RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t *pTuner, int StandardMode)
int | r820t_SetStandby (RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t *pTuner, int LoopThroughType)

## Macro Definition Documentation

## _UINT_X_

#define _UINT_X_ 1

## FALSE

#define FALSE 0

## TRUE

#define TRUE 1

## Typedef Documentation

## BW_Type

typedef enum _BW_Type BW_Type

## Freq_Info_Type

typedef struct _Freq_Info_Type Freq_Info_Type

## R828_ErrCode

typedef enum _R828_ErrCode R828_ErrCode

## R828_GPIO_Type

typedef enum _R828_GPIO_Type R828_GPIO_Type

## R828_I2C_LEN_TYPE

typedef struct _R828_I2C_LEN_TYPE R828_I2C_LEN_TYPE

## R828_I2C_TYPE

typedef struct _R828_I2C_TYPE R828_I2C_TYPE

## R828_IfAgc_Type

typedef enum _R828_IfAgc_Type R828_IfAgc_Type

## R828_InputMode_Type

typedef enum _R828_InputMode_Type R828_InputMode_Type

## R828_LoopThrough_Type

typedef enum _R828_LoopThrough_Type R828_LoopThrough_Type

## R828_RF_Gain_Info

typedef struct _R828_RF_Gain_Info R828_RF_Gain_Info

## R828_RF_Gain_TYPE

typedef enum _R828_RF_Gain_TYPE R828_RF_Gain_TYPE

## R828_SectType

typedef struct _R828_SectType R828_SectType

## R828_Set_Info

typedef struct _R828_Set_Info R828_Set_Info

## R828_SetFreq_Type

typedef enum _R828_SetFreq_Type R828_SetFreq_Type

## R828_Standard_Type

typedef enum _R828_Standard_Type R828_Standard_Type

## Sys_Info_Type

typedef struct _Sys_Info_Type Sys_Info_Type

## SysFreq_Info_Type

typedef struct _SysFreq_Info_Type SysFreq_Info_Type

## UINT16

typedef unsigned short UINT16

## UINT32

typedef unsigned int UINT32

## UINT8

typedef unsigned char UINT8

## Enumeration Type Documentation

## _BW_Type

enum _BW_Type

Enumerator
BW_6M |
BW_7M |
BW_8M |
BW_1_7M |
BW_10M |
BW_200K |

## _R828_ErrCode

enum _R828_ErrCode

Enumerator
RT_Success |
RT_Fail |

## _R828_GPIO_Type

enum _R828_GPIO_Type

Enumerator
HI_SIG |
LO_SIG |

## _R828_IfAgc_Type

enum _R828_IfAgc_Type

Enumerator
IF_AGC1 |
IF_AGC2 |

## _R828_InputMode_Type

enum _R828_InputMode_Type

Enumerator
AIR_IN |
CABLE_IN_1 |
CABLE_IN_2 |

## _R828_LoopThrough_Type

enum _R828_LoopThrough_Type

Enumerator
LOOP_THROUGH |
SIGLE_IN |

## _R828_RF_Gain_TYPE

enum _R828_RF_Gain_TYPE

Enumerator
RF_AUTO |
RF_MANUAL |

## _R828_SetFreq_Type

enum _R828_SetFreq_Type

Enumerator
FAST_MODE |
NORMAL_MODE |

## _R828_Standard_Type

enum _R828_Standard_Type

Enumerator
NTSC_MN |
PAL_I |
PAL_DK |
PAL_B_7M |
PAL_BGH_8M |
SECAM_L |
SECAM_L1_INV |
SECAM_L1 |
ATV_SIZE |
DVB_T_6M |
DVB_T_7M |
DVB_T_7M_2 |
DVB_T_8M |
DVB_T2_6M |
DVB_T2_7M |
DVB_T2_7M_2 |
DVB_T2_8M |
DVB_T2_1_7M |
DVB_T2_10M |
DVB_C_8M |
DVB_C_6M |
ISDB_T |
DTMB |
R828_ATSC |
FM |
STD_SIZE |

## Function Documentation

## r820t_SetRfFreqHz()

int r820t_SetRfFreqHz | ( | RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t * | pTuner,
|  | unsigned long | RfFreqHz
| ) |  |

## r820t_SetStandardMode()

int r820t_SetStandardMode | ( | RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t * | pTuner,
|  | int | StandardMode
| ) |  |

## r820t_SetStandby()

int r820t_SetStandby | ( | RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t * | pTuner,
|  | int | LoopThroughType
| ) |  |

## R828_GetRfGain()

R828_ErrCode R828_GetRfGain | ( | RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t * | pTuner,
|  | R828_RF_Gain_Info * | pR828_rf_gain
| ) |  |

## R828_GPIO()

R828_ErrCode R828_GPIO | ( | RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t * | pTuner,
|  | R828_GPIO_Type | R828_GPIO_Conrl
| ) |  |

## R828_Init()

R828_ErrCode R828_Init | ( | RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t * | pTuner | ) |

## R828_RfGainMode()

R828_ErrCode R828_RfGainMode | ( | RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t * | pTuner,
|  | int | manual
| ) |  |

## R828_SetFrequency()

R828_ErrCode R828_SetFrequency | ( | RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t * | pTuner,
|  | R828_Set_Info | R828_INFO,
|  | R828_SetFreq_Type | R828_SetFreqMode
| ) |  |

## R828_SetRfGain()

R828_ErrCode R828_SetRfGain | ( | RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t * | pTuner,
|  | int | gain
| ) |  |

## R828_SetStandard()

R828_ErrCode R828_SetStandard | ( | RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t * | pTuner,
|  | R828_Standard_Type | RT_Standard
| ) |  |

## R828_Standby()

R828_ErrCode R828_Standby | ( | RTL2832_NAMESPACE::TUNERS_NAMESPACE::r820t * | pTuner,
|  | R828_LoopThrough_Type | R828_LoopSwitch
| ) |  |